--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: (t)
comment: 
- !ruby/struct:SM::Flow::P 
  body: Instantiate a new, empty Task object and yield it to the mandatory block. The attributes of the task will be set by the configuration file.
- !ruby/struct:SM::Flow::P 
  body: Aborts on duplicate task name
- !ruby/struct:SM::Flow::VERB 
  body: "          invalid task\n          conflicting group name\n"
- !ruby/struct:SM::Flow::P 
  body: Returns nothing
full_name: God::task
is_singleton: true
name: task
params: (klass = Task) {|t| ...}
visibility: public
